# Automated Data Dumper

Utility plugin to dump game netprops and datamaps for further processing.

When a required update is detected (i.e., the game's master server requests a restart), the
plugin writes a file indicating that the plugin should dump useful engine information on the
next startup (after the update).

Saves information into `data/datadump` under the SourceMod directory, using the `NetworkPatch`
version in the game directory's `steam.inf` file.

Currently dumps the following information:

* SourceMod-included dump files: `sm_dump_datamaps`, `sm_dump_netprops`, `sm_dump_classes`
* Custom dump functions that also dump ConVars and ConCommands into separate CSV files.
Newlines in the description are replaced with forward slashes, double quotes are replaced with
single quotes, and the default values for each ConVar are saved (instead of using the current
values as the built-in `cvarlist` does.

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/
